#ifdef LATTICE
LONG __asm InitPlayer(void);
void __asm RemPlayer(void);
void __asm PlayModule(register __a0 struct MMD0 *);
void __asm StopPlayer(void);
void __asm SetTempo(register __d0 UWORD);
struct MMD0 * __asm LoadModule(register __a0 char *);
/* void __asm RelocModule(register __a0 struct MMD0 *); */ /* Not public */
void __asm UnLoadModule(register __a0 struct MMD0 *);
#endif
struct MMD0 {
	ULONG id;			/* "MMD0" */
	ULONG modlen;			/* module length (in bytes) */
	struct MMD0song *song;		/* pointer to song (see med.h) */
	ULONG songlen;			/* length of song (usually zero) */
	struct MMD0block **blockarr;	/* pointer to pointers of blocks */
	ULONG blockarrlen;		/* length... */
	struct Soitin **smplarr;	/* pointer to pointers of samples */
	ULONG smplarrlen;		/* len.. */
	struct MMD0exp *expdata;	/* pointer to expansion data (see med.h) */
	ULONG expsize;			/* len.. (don't care about these) */
/* Followed by some private variables that have become obsolete in V3.00... */
};
